Index: trunk/SophyaLib/BuildMgr/Darwin_g++_make.inc
===================================================================
--- trunk/SophyaLib/BuildMgr/Darwin_g++_make.inc	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/Darwin_g++_make.inc	(revision 2751)
@@ -17,4 +17,5 @@
 CXX =  c++
 CXXFLAGS = -fno-common -g -fastf -mtune=G4 -fPIC 
+CXXREP =
 #  Compilo fortran
 FC = g77
@@ -28,4 +29,6 @@
 CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
 CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
+CXXCOMPILELIB = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
+CXXCOMPILEPROG = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
 FCCOMPILE = $(FC) $(FFLAGS) -c 
 
@@ -33,5 +36,5 @@
 SLEXT = dylib
 #  Fabrication de librairies partagees 
-CMDSHLCXX = $(CXX) $(CXXFLAGS) -dynamiclib 
+CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXREP) -dynamiclib 
 
 
Index: trunk/SophyaLib/BuildMgr/Linux_g++_make.inc
===================================================================
--- trunk/SophyaLib/BuildMgr/Linux_g++_make.inc	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/Linux_g++_make.inc	(revision 2751)
@@ -17,4 +17,5 @@
 CXX =  g++
 CXXFLAGS = -Wall -Wpointer-arith -Wmissing-prototypes -Wsynth -O -g
+CXXREP =
 #  Compilo fortran
 FC = g77
@@ -28,4 +29,6 @@
 CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
 CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
+CXXCOMPILELIB = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
+CXXCOMPILEPROG = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
 FCCOMPILE = $(FC) $(FFLAGS) -c 
 
@@ -33,5 +36,5 @@
 SLEXT = so
 #  Fabrication de librairies partagees 
-CMDSHLCXX = $(CXX) $(CXXFLAGS) -shared 
+CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXREP) -shared 
 
 
Index: trunk/SophyaLib/BuildMgr/Makefile
===================================================================
--- trunk/SophyaLib/BuildMgr/Makefile	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/Makefile	(revision 2751)
@@ -11,30 +11,31 @@
 	echo '*DBG* Building extlibs'
 
+DIRCONF = $(SOPHYAINCP)/SophyaConfInfo/
 
 cxxlibs:: 
-	if [ -d ../BaseTools ] ; then cd  ../BaseTools ; $(MAKE) ; fi
-	if [ -d ../SysTools ] ; then cd  ../SysTools ; $(MAKE) ; fi
-	if [ -d ../SUtils ] ; then cd  ../SUtils ; $(MAKE) ; fi
-	if [ -d ../TArray ] ; then cd  ../TArray ; $(MAKE) ; fi
-	if [ -d ../NTools ] ; then cd  ../NTools ; $(MAKE) ; fi
-	if [ -d ../HiStats ] ; then cd  ../HiStats ; $(MAKE) ; fi
-	if [ -d ../SkyMap ] ; then cd  ../SkyMap ; $(MAKE) ; fi
-	if [ -d ../Samba ] ; then cd  ../Samba ; $(MAKE) ; fi
-	if [ -d ../SkyT ] ; then cd  ../SkyT ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)BaseTools.conf ] ; then cd  ../BaseTools ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)SysTools.conf ] ; then cd  ../SysTools ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)SUtils.conf ] ; then cd  ../SUtils ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)TArray.conf ] ; then cd  ../TArray ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)NTools.conf ] ; then cd  ../NTools ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)HiStats.conf ] ; then cd  ../HiStats ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)SkyMap.conf ] ; then cd  ../SkyMap ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)Samba.conf ] ; then cd  ../Samba ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)SkyT.conf ] ; then cd  ../SkyT ; $(MAKE) ; fi
 
 cxxextlibs::  
-	if [ -d ../FitsIOServer ] ; then cd  ../FitsIOServer ; $(MAKE) ; fi
-	if [ -d ../IFFTW ] ; then cd  ../IFFTW ; $(MAKE) ; fi
-	if [ -d ../LinAlg ] ; then cd  ../LinAlg ; $(MAKE) ; fi
-	if [ -d ../XAstroPack ] ; then cd  ../XAstroPack ; $(MAKE) ; fi
-	if [ -d ../MinuitAdapt ] ; then cd  ../MinuitAdapt ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)FitsIOServer.conf ] ; then cd  ../FitsIOServer ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)IFFTW.conf ] ; then cd  ../IFFTW ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)LinAlg.conf ] ; then cd  ../LinAlg ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)XAstroPack.conf ] ; then cd  ../XAstroPack ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)MinuitAdapt.conf ] ; then cd  ../MinuitAdapt ; $(MAKE) ; fi
  
 PI::
-	if [ -d ../PI ] ; then cd ../PI ; $(MAKE) ; fi
-	if [ -d ../PIGcont ] ; then cd ../PIGcont ; $(MAKE) ; fi
-	if [ -d ../PIext ] ; then cd ../PIext ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)PI.conf ] ; then cd ../PI ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)PIGcont.conf ] ; then cd ../PIGcont ; $(MAKE) ; fi
+	if [ -f $(DIRCONF)PIext.conf ] ; then cd ../PIext ; $(MAKE) ; fi
 
 #  Shared library creation part of the Makefile
- 
+
 #  List of libraries (.a)
 PSLB =  $(SOPHYALIBP)libBaseTools.a $(SOPHYALIBP)libSysTools.a $(SOPHYALIBP)libSUtils.a $(SOPHYALIBP)libTArray.a $(SOPHYALIBP)libNTools.a $(SOPHYALIBP)libHiStats.a $(SOPHYALIBP)libSkyMap.a $(SOPHYALIBP)libSamba.a $(SOPHYALIBP)libSkyT.a
Index: trunk/SophyaLib/BuildMgr/OSF1_cxx_make.inc
===================================================================
--- trunk/SophyaLib/BuildMgr/OSF1_cxx_make.inc	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/OSF1_cxx_make.inc	(revision 2751)
@@ -16,5 +16,6 @@
 #  Def compilateur C++ et flags
 CXX =  cxx
-CXXFLAGS = -O -pthread -g1  -ptr $(SOPHYAOBJP)/cxxrep/ -no_implicit_include
+CXXFLAGS = -O -pthread -g1 -no_implicit_include
+CXXREP =  -ptr $(SOPHYAOBJP)/cxxrep/
 #  Compilo fortran
 FC = f77
@@ -28,4 +29,6 @@
 CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
 CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
+CXXCOMPILELIB = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
+CXXCOMPILEPROG = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
 FCCOMPILE = $(FC) $(FFLAGS) -c 
 
@@ -33,5 +36,5 @@
 SLEXT = so
 #  Fabrication de librairies partagees 
-CMDSHLCXX = $(CXX) $(CXXFLAGS) -shared 
+CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXREP) -shared 
 
 
Index: trunk/SophyaLib/BuildMgr/change_smake2make.csh
===================================================================
--- trunk/SophyaLib/BuildMgr/change_smake2make.csh	(revision 2751)
+++ trunk/SophyaLib/BuildMgr/change_smake2make.csh	(revision 2751)
@@ -0,0 +1,38 @@
+#!/bin/csh
+# Pour changer "smakefile" en "Makefile"
+# - Pas d'argument: tous lkes repertoire CVS sous la racine
+# - $1 : nom du perpertoire a traiter
+# ATTENTION: a lancer depuis la racine Sophya:
+# > ./BuildMgr/change_smake2make.csh
+# > ./BuildMgr/change_smake2make.csh XephemAstroLib
+set CURDIR = `pwd`
+
+#--- Recherche des repertoires sous CVS
+if( $#argv > 0 ) then
+  set dcvs = $1
+else
+  set dcvs =
+  foreach f ( `ls -1` )
+    if( -e $f/CVS ) set dcvs = ( $dcvs $f )
+  end
+endif
+
+#--- Action CVS dans chacun des repertoires concernes
+foreach d ( $dcvs )
+  if (-e $CURDIR/$d)  then
+    cd $CURDIR/$d
+    if( ! -e Makefile ) continue
+    if( ! -e smakefile ) continue
+    grep -q 'include ../BuildMgr/sophyamake.inc' Makefile
+    if( $status != 0 ) continue
+    grep -q 'include $(SOPHYABASE)/include/sophyamake.inc' smakefile
+    if( $status != 0 ) continue
+    sed 's?include $(SOPHYABASE)/include/sophyamake.inc?include ../BuildMgr/sophyamake.inc?' smakefile >! Makefile
+    echo ">>> $d : Makefile generated from smakefile"
+    diff smakefile Makefile
+  endif
+end
+
+
+exit 0
+
Index: trunk/SophyaLib/BuildMgr/configure
===================================================================
--- trunk/SophyaLib/BuildMgr/configure	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/configure	(revision 2751)
@@ -348,8 +348,9 @@
 echo " 7.a/ Creating $objlistname "
 rm -f $objlistname ; touch $objlistname
-foreach d ( $SOPMOD ) 
-  if ( -d ../$d ) then 
-    cat ../$d/objlist.list >> $objlistname
-  endif
+foreach d ( $SOPMOD )
+  rm -f $sconf/$d.conf
+  if ( ! -d ../$d ) continue 
+  cat ../$d/objlist.list >> $objlistname
+  touch $sconf/$d.conf
 end
 
@@ -360,8 +361,10 @@
 while ( $i < $#SOPEXT )
   @ i += 1
+  set d = $SOPEXT[$i]
+  rm -f $sconf/$d.conf
   if( $SOPEXTOK[$i] <= 0 ) continue
-  set d = $SOPEXT[$i]
   if ( ! -d ../$d ) continue
   cat ../$d/objlist.list >> $objlistname
+  touch $sconf/$d.conf
 end  
 
@@ -369,8 +372,9 @@
 echo " 7.c/ Creating $objlistname "
 rm -f $objlistname ; touch $objlistname
-foreach d ($SOPPI )
-  if ( -d ../$d ) then 
-    cat ../$d/objlist.list >> $objlistname
-  endif
+foreach d ( $SOPPI )
+  rm -f $sconf/$d.conf
+  if ( ! -d ../$d ) continue
+  cat ../$d/objlist.list >> $objlistname
+  touch $sconf/$d.conf
 end
 
Index: trunk/SophyaLib/BuildMgr/mkmflib
===================================================================
--- trunk/SophyaLib/BuildMgr/mkmflib	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/mkmflib	(revision 2751)
@@ -100,5 +100,5 @@
        | sed -e 's/.*\.o/\$(SOPHYAOBJP)&/'  \
        | sed -e 's?'$inc/'?$(SOPHYAINCP)?g'  >> $makname
-  echo '	$(CXXCOMPILE) -o $@ $<' >> $makname
+  echo '	$(CXXCOMPILELIB) -o $@ $<' >> $makname
   echo ' ' >> $makname
 end
Index: trunk/SophyaLib/BuildMgr/mkmfprog
===================================================================
--- trunk/SophyaLib/BuildMgr/mkmfprog	(revision 2749)
+++ trunk/SophyaLib/BuildMgr/mkmfprog	(revision 2751)
@@ -118,5 +118,5 @@
        | sed -e 's/.*\.o/\$(SOPHYAOBJP)&/'  \
        | sed -e 's?'$inc/'?$(SOPHYAINCP)?g'  >> $makname
-  echo '	$(CXXCOMPILE) -o $@ $<' >> $makname
+  echo '	$(CXXCOMPILEPROG) -o $@ $<' >> $makname
   echo ' ' >> $makname
 end
